io.agora.rtc

## Class AgoraVideoEncodedImageSender

- java.lang.Object
- - io.agora.rtc.AgoraVideoEncodedImageSender

-     public class AgoraVideoEncodedImageSender
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoEncodedImageSender(long cptr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video encoded image sender
    `private void` | `nativeDestroy(long cptr)`
    `private int` | `nativeSend(long cptr, byte[] imageBuffer, int length, EncodedVideoFrameInfo info)`
    `int` | `sendEncodedVideoImage(byte[] imageBuffer, EncodedVideoFrameInfo info)` Sends an encoded video image to the Agora server

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraVideoEncodedImageSender

          public AgoraVideoEncodedImageSender(long cptr)

  - ### Method Detail

    - #### sendEncodedVideoImage

          public int sendEncodedVideoImage(byte[] imageBuffer,
                                           EncodedVideoFrameInfo info)

      Sends an encoded video image to the Agora server
      Parameters:
        `imageBuffer` - The encoded video image data
        `info` - The information about the encoded video image
      Returns:
        The result of sending the encoded video image

    - #### destroy

          public void destroy()

      Destroys the video encoded image sender

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

    - #### nativeSend

          private int nativeSend(long cptr,
                                 byte[] imageBuffer,
                                 int length,
                                 EncodedVideoFrameInfo info)